WhatsApp Business
Get a conversation
v92 (beta): chat, messages (oldest to newest; id, direction in · out, type, text, has_media, media_name, template, status — pending · sent · delivered · read · failed · received, status_label, error, at, by), more, templates (templates approved at Meta: name, category, language, variables, body). The first page resets the unread count.
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: CustomersScope:
crm.readPath parameters
idintegerrequiredConversation id.
Query parameters
beforeintegeroptionalMessages older than this message id.
limitintegeroptionaldefault: 50Messages (1–200).
Errors
| HTTP | error | Meaning |
|---|---|---|
403 | module | The module is off in the licence or for the user. |
404 | not_found | Record not found. |
Request
curl https://ornek.solk.app/api/v1/whatsapp/chats/{id} \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/whatsapp/chats/{id}", {
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.get(
"https://ornek.solk.app/api/v1/whatsapp/chats/{id}",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
)
print(r.json())Response